{% extends "plantilla.html"%}
{% block contenido%}
{% load static %}

<div class="intro-section single-cover" id="home-section">

      <div class="slide-1" style="background-image: url('{{ imagen_url }}');" data-stellar-background-ratio="0.5">
        <div class="container">
          <div class="row align-items-center">
            <div class="col-12">
              <div class="row justify-content-center align-items-center text-center">
                <div class="col-lg-6">
                  <h1 data-aos="fade-up" data-aos-delay="0">Cursos</h1>
                  <!-- <div class="col-lg-8 ml-auto" data-aos="fade-up" data-aos-delay="500"> -->
                  <!-- Button trigger modal -->
                  <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
                    Agregar Curso
                  </button>
                  <!-- </div> -->
                </div>

              </div>
            </div>

          </div>
        </div>
      </div>
    </div>
    <div class="site-section">
      <div class="container">
        <h2>Listado de Cursos</h2>
        <div class="row">
          <div class="col-md-12">
            <table class="table" id="tbl">
              <thead>
                <tr>
                  <th>ID</th>
                  <th>Nivel</th>
                  <th>Descripcion</th>
                  <th>Aula</th>
                  <th>Horario</th>
                  <th>Tutor </th>
                  <th>Nombre Carrera</th>
                  <th>Acciones</th>
                </tr>
              </thead>
              <tbody>
                {% for curso in cursos %}
                  <tr>
                    <td>{{ curso.idCursodcp }}</td>
                    <td>{{ curso.nivelCursodcp }}</td>
                    <td>{{ curso.descripcionCursodcp }}</td>
                    <td>{{ curso.aulaCursodcp }}</td>
                    <td>{{ curso.horarioCursodcp }}</td>
                    <td>{{ curso.tutorCursodcp }}</td>
                    <td>{{ curso.carrera.nombreCarreradcp }}</td>
                    <td>
                      <a href="/editarCurso/{{curso.idCursodcp}}" class="btn btn-warning">EDITAR</a>
                      <a href="javascript:void(0)" onclick="eliminarCliente('/eliminarCurso/{{curso.idCursodcp}}');"
                    class="btn btn-danger">
                      Eliminar
                    </a></td>
                  </tr>
                {% endfor %}
              </tbody>
            </table>
            </div>
          </div>
        </div>
      </div>

          <!-- Modal -->
          <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header bg-secondary">
                  <h3 class="h4 text-black mb-4">Registro de Carrera</h3>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body bg-secondary">
                  <form method="post" action="{% url 'crearCurso' %}" class="needs-validation"  id="frm_curso">
                      {% csrf_token %}
                      <div class="mb-3">
                        <select class="form-control selectpicker" data-live-search="true"
                        name="carrera" id="carrera" required>
                          <option value="" disabled selected>-- Seleccione el nombre de la carrera --</option>
                          {% for carrera in carreras %}
                              <option value="{{ carrera.idCarreradcp }}">{{ carrera.nombreCarreradcp }}</option>
                          {% endfor %}
                      </select>

                      <!-- Campo para el nivel -->
                      <div class="mb-3">
                          <label for="id_nivel" class="form-label">Nivel:</label>
                          <input type="text" class="form-control" id="nivel" name="nivel" required>
                          <div class="invalid-feedback">
                              Por favor, ingresa el nivel.
                          </div>
                      </div>
                      <!-- Campo para la descripción -->
                      <div class="mb-3">
                          <label for="id_descripcion" class="form-label">Descripción:</label>
                          <textarea class="form-control" id="descripcion" name="descripcion" rows="4" required></textarea>
                          <div class="invalid-feedback">
                              Por favor, ingresa la descripción.
                          </div>
                      </div>
                      <!-- Campo para el aula -->
                      <div class="mb-3">
                          <label for="id_aula" class="form-label">Aula:</label>
                          <input type="text" class="form-control" id="aula" name="aula" required>
                          <div class="invalid-feedback">
                              Por favor, ingresa el aula.
                          </div>
                      </div>
                      <!-- Campo para el horario -->
                      <div class="mb-3">
                          <label for="id_horario" class="form-label">Horario:</label>
                          <input type="text" class="form-control" id="horario" name="horario" required>
                      </div>
                      <!-- Campo para el tutor -->
                      <div class="mb-3">
                          <label for="id_tutor" class="form-label">Tutor:</label>
                          <input type="text" class="form-control" id="tutor" name="tutor">
                      </div>
                      <!-- Botón de enviar -->
                      <button type="submit" class="btn btn-primary">Guardar Curso</button>
                  </form>
                  <!-- Scripts para la validación de Bootstrap -->



                </div>
                <div class="modal-footer">
                </div>
              </div>
            </div>
          </div>
          <script type="text/javascript">
                   //let table = new DataTable('#tbl_clientes');
                    $('#tbl').DataTable( {
                      dom: 'Bfrtip',
                      buttons: [
                          {
                              extend: 'pdfHtml5',
                              messageTop: 'PDF created by PDFMake with Buttons for DataTables.'
                          },
                          'print',
                          'csv'
                      ]
                    } );
                  </script>



                  <script type="text/javascript">
                    $.validator.addMethod("nombreApellido", function(value, element) {
                        return this.optional(element) || /^[a-zA-ZáéíóúüñÁÉÍÓÚÜÑ]+\s[a-zA-ZáéíóúüñÁÉÍÓÚÜÑ]+$/.test(value);
                    }, "Por favor, introduce un nombre y un apellido con un espacio en el medio.");
                    // Inicializa el formulario para validación
                    $("#frm_curso").validate({
                      rules: {
                        'carrera': {
                          required: true,
                          lettersonly: true
                        },
                        'nivel': {
                          required: true,
                          alphanumeric: true
                        },
                        'descripcion': {
                          required: true
                        },
                        'aula': {
                          required: true,
                          lettersonly: true
                        },
                        'horario': {
                          required: true,
                          time: true
                        },
                        'tutor': {
                          required: true,
                          nombreApellido:true

                        }
                      },
                      messages: {
                        'carrera': {
                          required: "Seleccione una carrera",
                          lettersonly: "Ingrese solo letras para la carrera"
                        },
                        'nivel': {
                          required: "Ingrese el nivel",
                          alphanumeric: "Ingrese solo números y letras para el nivel"
                        },
                        'descripcion': "Ingrese la descripción",
                        'aula': {
                          required: "Ingrese el aula",
                          lettersonly: "Ingrese solo letras para el aula"
                        },
                        'horario': {
                          required: "Ingrese el horario",
                          time: "Ingrese un horario válido"
                        },
                        'tutor': {
                          required: "Ingrese el tutor",
                        }
                      },
                      errorElement: "span",
                      errorPlacement: function (error, element) {
                        // Ajusta la colocación del mensaje de error
                        error.addClass("invalid-feedback");
                        element.closest(".mb-3").append(error);
                      },
                      highlight: function (element, errorClass, validClass) {
                        // Añade clases de Bootstrap para resaltar errores
                        $(element).addClass("is-invalid").removeClass("is-valid");
                      },
                      unhighlight: function (element, errorClass, validClass) {
                        // Añade clases de Bootstrap cuando no hay errores
                        $(element).removeClass("is-invalid").addClass("is-valid");
                      }
                    });
                  </script>

{% endblock %}
